Package weka.core.pmml.jaxbbindings

# Class Baseline

java.lang.Object
weka.core.pmml.jaxbbindings.Baseline

public class Baseline extends Object

Java class for Baseline element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Baseline">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <group ref="{http://www.dmg.org/PMML-4_1}CONTINUOUS-DISTRIBUTION-TYPES"/>
               <group ref="{http://www.dmg.org/PMML-4_1}DISCRETE-DISTRIBUTION-TYPES"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Baseline()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnyDistribution`
  `getAnyDistribution()`
  Gets the value of the anyDistribution property.
  `COUNTTABLETYPE`
  `getCountTable()`
  Gets the value of the countTable property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `List<FieldRef>`
  `getFieldRef()`
  Gets the value of the fieldRef property.
  `GaussianDistribution`
  `getGaussianDistribution()`
  Gets the value of the gaussianDistribution property.
  `COUNTTABLETYPE`
  `getNormalizedCountTable()`
  Gets the value of the normalizedCountTable property.
  `PoissonDistribution`
  `getPoissonDistribution()`
  Gets the value of the poissonDistribution property.
  `UniformDistribution`
  `getUniformDistribution()`
  Gets the value of the uniformDistribution property.
  `void`
  `setAnyDistribution(AnyDistribution value)`
  Sets the value of the anyDistribution property.
  `void`
  `setCountTable(COUNTTABLETYPE value)`
  Sets the value of the countTable property.
  `void`
  `setGaussianDistribution(GaussianDistribution value)`
  Sets the value of the gaussianDistribution property.
  `void`
  `setNormalizedCountTable(COUNTTABLETYPE value)`
  Sets the value of the normalizedCountTable property.
  `void`
  `setPoissonDistribution(PoissonDistribution value)`
  Sets the value of the poissonDistribution property.
  `void`
  `setUniformDistribution(UniformDistribution value)`
  Sets the value of the uniformDistribution property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Baseline

    public Baseline()

- ## Method Details

  - ### getAnyDistribution

    public AnyDistribution getAnyDistribution()
    Gets the value of the anyDistribution property.
    Returns:
      possible object is `AnyDistribution`

  - ### setAnyDistribution

    public void setAnyDistribution(AnyDistribution value)
    Sets the value of the anyDistribution property.
    Parameters:
      `value` - allowed object is `AnyDistribution`

  - ### getGaussianDistribution

    public GaussianDistribution getGaussianDistribution()
    Gets the value of the gaussianDistribution property.
    Returns:
      possible object is `GaussianDistribution`

  - ### setGaussianDistribution

    public void setGaussianDistribution(GaussianDistribution value)
    Sets the value of the gaussianDistribution property.
    Parameters:
      `value` - allowed object is `GaussianDistribution`

  - ### getPoissonDistribution

    public PoissonDistribution getPoissonDistribution()
    Gets the value of the poissonDistribution property.
    Returns:
      possible object is `PoissonDistribution`

  - ### setPoissonDistribution

    public void setPoissonDistribution(PoissonDistribution value)
    Sets the value of the poissonDistribution property.
    Parameters:
      `value` - allowed object is `PoissonDistribution`

  - ### getUniformDistribution

    public UniformDistribution getUniformDistribution()
    Gets the value of the uniformDistribution property.
    Returns:
      possible object is `UniformDistribution`

  - ### setUniformDistribution

    public void setUniformDistribution(UniformDistribution value)
    Sets the value of the uniformDistribution property.
    Parameters:
      `value` - allowed object is `UniformDistribution`

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getCountTable

    public COUNTTABLETYPE getCountTable()
    Gets the value of the countTable property.
    Returns:
      possible object is `COUNTTABLETYPE`

  - ### setCountTable

    public void setCountTable(COUNTTABLETYPE value)
    Sets the value of the countTable property.
    Parameters:
      `value` - allowed object is `COUNTTABLETYPE`

  - ### getNormalizedCountTable

    public COUNTTABLETYPE getNormalizedCountTable()
    Gets the value of the normalizedCountTable property.
    Returns:
      possible object is `COUNTTABLETYPE`

  - ### setNormalizedCountTable

    public void setNormalizedCountTable(COUNTTABLETYPE value)
    Sets the value of the normalizedCountTable property.
    Parameters:
      `value` - allowed object is `COUNTTABLETYPE`

  - ### getFieldRef

    public List<FieldRef> getFieldRef()
    Gets the value of the fieldRef property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fieldRef property.

    For example, to add a new item, do as follows:

            getFieldRef().add(newItem);

    Objects of the following type(s) are allowed in the list `FieldRef`